
/* NetHeader.C
 * SBC++ (soccer client for Robocup2000)
 * Eslam Nazemi<nazemi@cc.sbu.ac.ir>
 * Amin Abbaspour<a-abbaspour@ce.sbu.ac.ir>
 * Mahmood Rahmani<m-rahmani@ce.sbu.ac.ir>
 * Bahman Radjabalipoor<b-radjabalipoor@ce.sbu.ac.ir>
 * Computer Department
 * Shahid Beheshti University
*/

#include <ctype.h>
#include <string.h>
#include <stdlib.h>
#include <stdio.h>

#include "types.h"
#include "NetHeader.h"

void up(char *s)
{
    for(unsigned int i = 0; i < strlen(s); i++)
    	s[i] = toupper(s[i]);
}

void down(char *s)
{
    for(unsigned int i = 0; i < strlen(s); i++)
    	s[i] = tolower(s[i]);
}

float rnd()
{
    return (random()+1) / (float)RAND_MAX ;
}

void tick()
{
    printf("%c",7);
}

float getnot(float val)
{
    return (1.0 - val);
}

void not(float& val)
{
    val = getnot(val);
}

Bool IsTrue(float val)
{
    if( val > FUZZY_BORDER) return TRUE;
    else return FALSE;
}
