
/* pass.h
 * SBC++ (soccer client for Robocup2000)
 * Eslam Nazemi<nazemi@cc.sbu.ac.ir>
 * Amin Abbaspour<a-abbaspour@ce.sbu.ac.ir>
 * Mahmood Rahmani<m-rahmani@ce.sbu.ac.ir>
 * Bahman Radjabalipoor<b-radjabalipoor@ce.sbu.ac.ir>
 * Computer Department
 * Shahid Beheshti University
*/

#include "geometry.h"

#define MAX_SHOT_RANGE 40		//MP
#define RANGE_DEGREE_ACCESS_BALL 20	//Bahman	
#define TMATE_MAX_DIST 30		//MP
#define TMATE_MIN_DIST 5		//MP
#define TMATE_MID_DIST 15		//MP

MarkerType GetOtherLeftCorner();
MarkerType GetOtherRightCorner();
MarkerType GetOtherLeftPenaltyCorner();
MarkerType GetOtherRightPenaltyCorner();

Unum  	CalculateFreestTeammate();
float	CalculateFreePlayer(Unum pTeammate);
void 	GetOptimalPassPoint(Vector& point, int& iDeltaStart, int& iDeltaStop);